using System;
using System.Collections.Generic;
namespace Stat.BLL
{
    /// <summary>
    /// 系统配置
    /// </summary>
    public class Systems
    {
        private static IDAL.ISystems dal = DALFactory.AbstractFactory.GetInstance().CreateSystems();

        /// <summary>
        /// 添加信息
        /// </summary>
        /// <returns></returns>
        public static bool Insert(Stat.Model.System model)
        {
            return dal.Insert(model);
        }
        /// <summary>
        /// 更新系统配置
        /// </summary>
        /// <returns></returns>
        public static bool Update(Stat.Model.System model)
        {
            return dal.Update(model);
        }
        /// <summary>
        ///删除系统配置
        /// </summary>
        /// <returns></returns>
        public static bool Delete(int id)
        {
            return dal.Delete(id);
        }
        /// <summary>
        /// 获取系统配置
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.System> Get()
        {
            return dal.Get();
        }
        /// <summary>
        /// 获取系统配置
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.System> Get(int id)
        {
            return dal.Get(id);
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="dt"></param>
        /// <returns></returns>
        public static int Totali_Active_Website(DateTime dt)
        {
            return dal.Totali_Active_Website(dt);
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="dt"></param>
        /// <returns></returns>
        public static int Totali_Active_IP(DateTime dt)
        {
            return dal.Totali_Active_IP(dt);
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="dt"></param>
        /// <returns></returns>
        public static int Totali_Active_Keyword(DateTime dt)
        {
            return dal.Totali_Active_Keyword(dt);
        }
    }
}
